Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# Xabsl2OptionParameterRef Class Reference

Represents a reference to an option parameter. More...

`#include <Xabsl2DecimalExpression.h>`

Inheritance diagram for Xabsl2OptionParameterRef:

[legend]
Collaboration diagram for Xabsl2OptionParameterRef:

[legend]
List of all members.

## Public Member Functions
| Xabsl2OptionParameterRef (Xabsl2InputSource &input, Xabsl2ErrorHandler &errorHandler, Xabsl2Array< double > &parameters)
| Constructor.
virtual double | getValue ()
| Calculates the value of the decimal expression.
## Private Attributes
double * | parameter
| A pointer to the parameter.

## Detailed Description

Represents a reference to an option parameter.

Author:
  Martin Lötzsch

Definition at line 145 of file Xabsl2DecimalExpression.h.

## Constructor & Destructor Documentation

Xabsl2OptionParameterRef::Xabsl2OptionParameterRef | ( | Xabsl2InputSource & | input,
|  | Xabsl2ErrorHandler & | errorHandler,
|  | Xabsl2Array< double > & | parameters
| ) |

  | Constructor. Creates the reference Parameters:
  input | An input source for the intermediate code. It must be opened and read until A position where the expression starts.
  errorHandler | A reference to a Xabsl2ErrorHandler instance
  parameters | The parameters of the option
Definition at line 169 of file Xabsl2DecimalExpression.cpp. References Xabsl2ErrorHandler::error(), Xabsl2ErrorHandler::message(), parameter, Xabsl2InputSource::readString(), and XABSL2_DEBUG_INIT.

Here is the call graph for this function:

## Member Function Documentation

double Xabsl2OptionParameterRef::getValue | ( |  | ) | `[virtual]`

| Calculates the value of the decimal expression. Implements Xabsl2DecimalExpression. Definition at line 187 of file Xabsl2DecimalExpression.cpp. References parameter.

## Member Data Documentation

double* Xabsl2OptionParameterRef::parameter`[private]`

| A pointer to the parameter. Definition at line 164 of file Xabsl2DecimalExpression.h. Referenced by getValue(), and Xabsl2OptionParameterRef().

The documentation for this class was generated from the following files:

- Tools/Xabsl2/Xabsl2Engine/Xabsl2DecimalExpression.h
- Tools/Xabsl2/Xabsl2Engine/Xabsl2DecimalExpression.cpp